#ifndef PRINT_HELPER_H_
#define PRINT_HELPER_H_

#include <stdio.h>

void pr_warning(const char *format, ...);
void pr_error(const char *format, ...);

void pr_debug(const char *format, ...);

void wpr_warning(const wchar_t *format, ...);
void wpr_error(const wchar_t *format, ...);

void wprint_token(FILE* out_file);
void wprint_ctoken(FILE* out_file);

#endif /* PRINT_HELPER_H_ */
